Next: The PET diagnostic pin, Previous: PET I/O extension settings, Up: PET-specific commands and settings [Contents][Index]

#### 7.7.4 PET system ROM settings

#### 7.7.4.1 PET system ROM resources

`H6809RomAName`
`H6809RomBName`
`H6809RomCName`
`H6809RomDName`
`H6809RomEName`
`H6809RomFName`

  Strings specifying the filenames of the respective H6809 ROM images, relevant for the SuperPET.

#### 7.7.4.2 PET system ROM command-line options

`-kernal <name>`

  Specify filename of the Kernal ROM file (`KernalName`).

`-basic <name>`

  Specify filename of the BASIC ROM file (`BasicName`).

`-editor NAME`

  Specify the filename for the editor ROM file (`EditorName`).

`-chargen <name>`

  Specify filename of the character generator ROM file (`ChargenName`).

`-rom9 <name>`

  Specify the filename for the ROM image file for the $9*** cartridge area (`RomModule9Name`).

`-romA <name>`

  Specify the filename for the ROM image file for the $A*** cartridge area (`RomModuleAName`).

`-romB <name>`

  Specify the filename for the ROM image file for the $B*** cartridge area (`RomModuleBName`).

`-6809romA <Name>`

  Specify 4KiB to 24KiB ROM file name at $A000 for 6809 (`H6809RomAName`).

`-6809romB <Name>`

  Specify 4KiB to 20KiB ROM file name at $B000 for 6809 (`H6809RomBName`).

`-6809romC <Name>`

  Specify 4KiB to 16KiB ROM file name at $C000 for 6809 (`H6809RomCName`).

`-6809romD <Name>`

  Specify 4KiB to 12KiB ROM file name at $D000 for 6809 (`H6809RomDName`).

`-6809romE <Name>`

  Specify 2KiB or 8KiB ROM file name at $E000 for 6809 (`H6809RomEName`).

`-6809romF <Name>`

  Specify 4KiB ROM file name at $F000 for 6809 (`H6809RomFName`).

Next: The PET diagnostic pin, Previous: PET I/O extension settings, Up: PET-specific commands and settings [Contents][Index]